Bug 45846 - Limit selection of available target KVM hosts of individual VMs
Limit selection of available target KVM hosts of individual VMs
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Erik Damrose
Philipp Hahn
:
Depends on:
Blocks: 46001
  Show dependency treegraph
 
Reported: 2017-12-11 16:19 CET by Erik Damrose
Modified: 2018-11-24 11:04 CET (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2017-12-11 16:19:31 CET
Planio Task #9190. Implement the featureset for "UVMM-LDAP zu gunsten von libvirt-XML auflösen"
Comment 1 Philipp Hahn univentionstaff 2017-12-15 09:17:57 CET
I don't have time for this.
https://trello.com/c/AkoxMu8y
Comment 2 Erik Damrose univentionstaff 2017-12-18 13:05:07 CET
According to the customer, the feature has to work on 4.2 UMC only, so no backport of UMC specific implementation to 4.1 necessary. However, it has to work with KVM servers running on 4.1
Comment 3 Erik Damrose univentionstaff 2017-12-22 15:52:29 CET
intermedia state pushed branch edamrose/bug45846
Comment 4 Erik Damrose univentionstaff 2018-01-10 15:00:59 CET
0a29acb5 merge
0d64a845 univention-virtual-machine-manager-daemon 6.0.4-7

Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-7A~4.2.0.201801101455
Branch: ucs_4.2-0
Scope: errata4.2-3

63744d2 yaml

Merge to 4.3 will be done at bug 46001 after verification
Comment 5 Erik Damrose univentionstaff 2018-01-12 10:59:06 CET
I fixed an incompatible JS function in my code, new version:
Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-9A~4.2.0.201801121057
Comment 6 Philipp Hahn univentionstaff 2018-01-26 16:18:09 CET
OK: 0d64a84531fd | Bug #45846: changelog
0a29acb515e1 | Bug #45846: Adjust xml parsing and js functions
6602525d38d1 | Bug #45846: intermediate state

FAIL: xmlns too short
FAIL: xml.split()
FAIL: XMLDesc(!INACTIVE)
FAIL: findtext(self, path, default=None, namespaces=None)
FAIL: Copyright 2018
FYI-WIP: <https://git.knut.univention.de/univention/ucs/commits/phahn/4.2-3+45961uvmm> 

OK: KVM @ UCS-4.1-4
OK: KVM @ UCS-4.1-5

OK: 63744d273628 | Bug #45846: yaml
OK: errata-announce -V --only univention-virtual-machine-manager-daemon.yaml

OK: dpkg-query -W univention-virtual-machine-manager-daemon # 6.0.4-7A~4.2.0.201801101455
Comment 7 Erik Damrose univentionstaff 2018-02-07 09:54:25 CET
Thanks, i merged your changes.

Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-10A~4.2.0.201802070952
5d94164 yaml update
Comment 8 Philipp Hahn univentionstaff 2018-02-07 12:35:59 CET
REOPEN: Please disable editing while ACTIVE and switch XMLDesc(INACTIVE) back to XMLDesc(0) - otherwise the VNC port is no longer available for active VMs.
Comment 9 Erik Damrose univentionstaff 2018-02-09 16:14:31 CET
Fixed in
885f384 Fix handling running/stopped VM XML deactivate migration host page when on the detail page of a running VM.

Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-11A~4.2.0.201802091611

0c3829b univention-virtual-machine-manager-daemon.yaml
Comment 10 Philipp Hahn univentionstaff 2018-02-13 12:36:38 CET
OK: src 712c23d25e 885f384
OK: YAML 5d94164 0c3829b
OK: errata-announce -V --only univention-virtual-machine-manager-daemon.yaml
OK: aptitude search '?source-package(univention-virtual-machine-manager-daemon)'

REOPEN: Please disable the "Migrate" button if no server is elected. Otherwise:
> Interner Server-Fehler.
> Noch keine Verbindung zum Hypervisor "".
> 
>  Noch keine Verbindung zum Hypervisor "".
> Request: UVMM_Connection-261: uvmm/domain/migrate
> 
> None
Comment 11 Erik Damrose univentionstaff 2018-02-13 16:00:18 CET
That error has been there before. We fixed it because it may occur more often, now that the number of available targets may be lower.

794d13ca Disable migrate button if host selection is empty
6d00b0bf yaml

Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-12A~4.2.0.201802131556
Branch: ucs_4.2-0
Scope: errata4.2-3
Comment 12 Philipp Hahn univentionstaff 2018-02-14 10:18:36 CET
OK: src 794d13ca
OK: YAML 6d00b0bf
FAIL:
>uvmm.js:508 Uncaught TypeError: this.showProgress is not a function
>    at uvmm.js:508
>    at dojo.js.uncompressed.js:2903
>    at callback (uvmm.js:555)
>    at Object.<anonymous> (dojo.js.uncompressed.js:43215)
>    at Object.<anonymous> (dojo.js.uncompressed.js:2903)
>    at Object.q [as onSubmit] (dojo.js.uncompressed.js:5769)
>    at Object._onSubmit (dojo.js.uncompressed.js:43734)
>    at HTMLFormElement.<anonymous> (dojo.js.uncompressed.js:2901)
>    at Object.__onClick (dojo.js.uncompressed.js:22014)
>    at HTMLSpanElement.<anonymous> (dojo.js.uncompressed.js:2901)
Comment 13 Erik Damrose univentionstaff 2018-02-14 12:44:55 CET
5ffcfc5 Fix traceback when migrating a VM

Package: univention-virtual-machine-manager-daemon
Version: 6.0.4-13A~4.2.0.201802141242

aee5942 yaml
Comment 14 Philipp Hahn univentionstaff 2018-02-14 12:48:00 CET
OK: errata-announce -V --only univention-virtual-machine-manager-daemon.yaml
OK: aee5942dbb Bug #45846: yaml
OK: 5ffcfc5dc1 Bug #Bug #45846: Fix traceback when migrating a VM
OK: UVMM Migration
Comment 15 Arvid Requate univentionstaff 2018-02-14 13:31:46 CET
<http://errata.software-univention.de/ucs/4.2/291.html>